<?php

namespace App\Repository;

use App\Entity\ProjectBoost;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @method ProjectBoost|null find($id, $lockMode = null, $lockVersion = null)
 * @method ProjectBoost|null findOneBy(array $criteria, array $orderBy = null)
 * @method ProjectBoost[]    findAll()
 * @method ProjectBoost[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ProjectBoostRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ProjectBoost::class);
    }

    // /**
    //  * @return ProjectBoost[] Returns an array of ProjectBoost objects
    //  */
    /*
    public function findByExampleField($value)
    {
        return $this->createQueryBuilder('p')
            ->andWhere('p.exampleField = :val')
            ->setParameter('val', $value)
            ->orderBy('p.id', 'ASC')
            ->setMaxResults(10)
            ->getQuery()
            ->getResult()
        ;
    }
    */

    /*
    public function findOneBySomeField($value): ?ProjectBoost
    {
        return $this->createQueryBuilder('p')
            ->andWhere('p.exampleField = :val')
            ->setParameter('val', $value)
            ->getQuery()
            ->getOneOrNullResult()
        ;
    }
    */
}
